<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

use Gls\GlsPoland\AdePlus\Consignment\SenderAddress;

final class CSenderAddressArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Consignment\SenderAddress
     */
    private $items;

    public function getItems(): SenderAddress
    {
        return $this->items;
    }

    public function withItems(SenderAddress $items): CSenderAddressArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
